@extends('layout.app')
@section('title')
<title>Enquiry Form</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
    <section class="enquiry-form-section">
        <h2>Enquiry Form</h2>
        <p>Please fill up the form and we will get back to you soon, Thanks !</p>
        <form action="">
            <div class="row enquiry-form-row">
                <h3>Personal Details</h3>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">First Name</label>
                        <input type="text" class="form-control mt-2" id="fname" name="fname" placeholder="Enter your First name" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Middle Name</label>
                        <input type="text" class="form-control mt-2" id="mname" name="mname" placeholder="Enter your Middle name">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Last Name</label>
                        <input type="text" class="form-control mt-2" id="lname" name="lname" placeholder="Enter your Last name" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Date of birth</label>
                        <input type="date" class="form-control mt-2" id="dob" name="dob" placeholder="Enter your Date of birth" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Country</label>
                        <select class="form-select mt-2" name="cob" id="e-cob" onchange="eCob()">
                            <option value="" hidden>Select you country of birth</option>
                            @foreach($countries as $country)
                                <option value="{{$country->id}}" @if(old('country_id') === $country->id) selected @endif>{{$country->name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Gender</label>
                        <div class="d-flex gap-2 mt-2" onclick="eGender()">
                            <div class="form-check">
                                <input class="form-check-input gender" type="radio" name="gender" value="Male"/>
                                <label class="form-check-label">
                                    Male
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input gender" type="radio" name="gender" value="Female"/>
                                <label class="form-check-label">
                                    Female
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input gender" type="radio" name="gender" value="Other"/>
                                <label class="form-check-label">
                                    Other
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Address</label>
                        <input type="text" class="form-control mt-2" id="address" name="address" placeholder="Enter your Address" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Email</label>
                        <input type="email" class="form-control mt-2" id="email" name="email" placeholder="Enter your Email Address" required>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Phone</label>
                        <input type="text" class="form-control mt-2" id="phone" name="phone" placeholder="Enter your Phone Number" required>
                    </div>
                </div>

                <h3 class="mt-5">Additional Information</h3>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Highest Qualification</label>
                        <input type="text" class="form-control mt-2" id="highestqualification" name="highestqualification" placeholder="Enter your Highest Qualification">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Stream</label>
                        <input type="text" class="form-control mt-2" id="stream" name="stream" placeholder="Enter your Stream">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">% or GPA</label>
                        <input type="text" class="form-control mt-2" id="gpa" name="gpa" placeholder="Enter your % or GPA">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Passed Year</label>
                        <input type="text" class="form-control mt-2" id="passedyear" name="passedyear" placeholder="Enter your Passed Year">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Gap after Studies</label>
                        <input type="text" class="form-control mt-2" id="gap" name="gap" placeholder="Enter your Gap after Studies">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">What you are doing now?</label>
                        <input type="text" class="form-control mt-2" id="gpa" name="gpa" placeholder="Enter your Current Status">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Do you have work experience?</label>
                        <select class="form-select mt-2" name="work-experience" id="work-experience" onchange="wExperience()">
                            <option value="" hidden>Work experence status</option>
                            <option value="yes">Yes</option>
                            <option value="no">No</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-4" id="work-exp-detail">
                    <div class="form-group mb-3">
                        <label for="name">Work experience Details</label>
                        <input type="text" class="form-control mt-2" id="work-experience" name="work-experience" placeholder="Enter your Work experience Details">
                    </div>
                </div>
                <div class="col-md-4" id="work-salary-mode">
                    <div class="form-group mb-3">
                        <label for="name">Salary mode</label>
                        <input type="text" class="form-control mt-2" id="salary-mode" name="salary-mode" placeholder="Enter your Salary Mode">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">IELTS / PTE Score</label>
                        <input type="text" class="form-control mt-2" id="test-score" name="test-score" placeholder="Enter your IELTS / PTE score">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Marital Status</label>
                        <div class="d-flex gap-2 mt-2" onclick="maritalStatus()">
                            <div class="form-check">
                                <input class="form-check-input marital-status" id="marital-status" type="radio" name="marital-status" value="Single"/>
                                <label class="form-check-label">
                                    Single
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input marital-status" id="marital-status" type="radio" name="marital-status" value="Married"/>
                                <label class="form-check-label">
                                    Married
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input marital-status" id="marital-status" type="radio" name="marital-status" value="Widow"/>
                                <label class="form-check-label">
                                    Widow
                                </label>
                            </div>
                        </div>
                        <span class='error' id="error-gender"></span>
                    </div>
                </div>
                <div class="col-md-4" id="spouse-married-date">
                    <div class="form-group mb-3">
                        <label for="name">Married date</label>
                        <input type="date" class="form-control mt-2" id="married-date" name="married-date">
                    </div>
                </div>
                <div class="col-md-4" id="spouse-academic">
                    <div class="form-group mb-3">
                        <label for="name">Spouse Academics</label>
                        <input type="text" class="form-control mt-2" id="spouse-academics" name="spouse-academics" placeholder="Enter your Spouse Academics">
                    </div>
                </div>
                <div class="col-md-4" id="spouse-experience">
                    <div class="form-group mb-3">
                        <label for="name">Work Experience of Spouse</label>
                        <input type="text" class="form-control mt-2" id="spouse-work-experience" name="spouse-work-experience" placeholder="Enter Work Experience of Spouse">
                    </div>
                </div>
                <div class="col-md-4" id="spouse-salary">
                    <div class="form-group mb-3">
                        <label for="name">Spouse Salary Mode</label>
                        <input type="text" class="form-control mt-2" id="spouse-salary-mode" name="spouse-salary-mode" placeholder="Enter Spouse Salary Mode">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Immigration History: </label>
                        <input type="text" class="form-control mt-2" id="immigration-history" name="immigration-history" placeholder="Enter your Immigration History">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Desired study field</label>
                        <input type="text" class="form-control mt-2" id="desired-study-field" name="desired-study-field" placeholder="Enter your Desired study field">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group mb-3">
                        <label for="name">Desired location (If Any)</label>
                        <select class="form-select mt-2" name="desired-location" id="desired-location">
                            <option value="" hidden class="select-placeholder">Select your desired location</option>
                            <option value="au">Australia</option>
                            <option value="nz">New Zeland</option>
                            <option value="ca">Canada</option>
                            <option value="us">USA</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-12 text-center">
                    <button type="submit" class="enquiry-from-btn">Submit</button>
                </div>
            </div>
        </form>
    </section>
@endsection
@section('script')
    <script>
        function maritalStatus(){
            var marriedDate = document.getElementById('spouse-married-date');
            var spouseAcademic = document.getElementById('spouse-academic');
            var spouseExperience = document.getElementById('spouse-experience');
            var spouseSalary = document.getElementById('spouse-salary');
            var maritalStatus = document.getElementsByClassName("marital-status");

            for(var i=0;i<maritalStatus.length;i++){
                if(maritalStatus[i].checked){
                    valid = true;
                    break;
                }
            }
            if(maritalStatus[i].value == "Married"){
                marriedDate.classList.add('married');
                spouseAcademic.classList.add('married');
                spouseExperience.classList.add('married');
                spouseSalary.classList.add('married');
            }else{
                marriedDate.classList.remove('married');
                spouseAcademic.classList.remove('married');
                spouseExperience.classList.remove('married');
                spouseSalary.classList.remove('married');
            }
        }

        function wExperience(){
            workExperience = document.getElementById('work-experience').value;
            workDetail = document.getElementById('work-exp-detail');
            salaryMode = document.getElementById('work-salary-mode');
            if(workExperience.length == 0){
                $('#work-experience').focus();
                return false;
            }if(workExperience == "yes"){
                workDetail.classList.add('married');
                salaryMode.classList.add('married');
            }else{
                workDetail.classList.remove('married');
                salaryMode.classList.remove('married');
            }
        }
    </script>
@endsection