@extends('layout.app')
@section('title')
<title>FAQs</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
    <section class="abroad-banner-section" style="background: url({{url($page->banner_image)}})">
        <!-- <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Study Abroad</li>
            </ol>
        </nav> -->
        <div class="studyabroad-banner-header">
            <h1>I have a Question</h1>
            <h5>{{$page->sub_title}}</h5>
        </div>
    </section>
    <section class="faq-section">
        <h1>Frequently Asked Questions</h1>
        
        <div class="accordion" id="accordionExample">
            @foreach($faqs as $faq)
            <div class="accordion-item">
                <h2 class="accordion-header" id="heading{{$faq->id}}">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{$faq->id}}" aria-expanded="false" aria-controls="collapse{{$faq->id}}">
                        <img src="{{url('frontend/images/faq-lists.png')}}" class="mx-2" alt=""> {!!$faq->question!!}
                    </button>
                </h2>
                <div id="collapse{{$faq->id}}" class="accordion-collapse collapse" aria-labelledby="heading{{$faq->id}}" data-bs-parent="#accordionExample">
                    <div class="accordion-body">
                        {!!$faq->answer!!}
                    </div>
                </div>
            </div>
            @endforeach
        </div>
        
    </section>
@endsection