<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <meta name="theme-color" content="#296AC7" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    @yield('title')
    <link rel="icon" href="{{url('frontend/icons/favicon.ico')}}">

    <!-- google fonts link -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="preconnect" href="https://fonts.googleapis.com"><link rel="preconnect" href="https://fonts.gstatic.com" crossorigin><link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rancho&display=swap" rel="stylesheet">

    <!-- google fonts link -->
    <!-- Rubik Google Font -->
    <!-- <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">  -->

    <!-- Bootstrap link -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- slick slider link -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.5.9/slick.min.css"/>
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.5.9/slick-theme.min.css"/>
    <link rel="stylesheet" href="{{url('frontend/css/style.css')}}"/>
    @yield('style')
    </head>
    <body>
    <!-- Navbar -->
                    @php
                      $phone = \App\Models\Setting::where('slug','phone')->get('value')->first()->value ?? '';
                      $email = \App\Models\Setting::where('slug','email')->get('value')->first()->value ?? '';
                      $address = \App\Models\Setting::where('slug','address')->get('value')->first()->value ?? '';
                      $twitter = \App\Models\Setting::where('slug','twitter')->get('value')->first()->value ?? '';
                      $facebook = \App\Models\Setting::where('slug','facebook')->get('value')->first()->value ?? '';
                      $instagram = \App\Models\Setting::where('slug','instagram')->get('value')->first()->value ?? '';
                      $linkedin = \App\Models\Setting::where('slug','linkedin')->get('value')->first()->value ?? '';
                      $logo = \App\Models\Setting::where('slug','logo')->get('value')->first()->value ?? '';
                      $white_logo = \App\Models\Setting::where('slug','white-logo')->get('value')->first()->value ?? '';
                      $services = \App\Models\Service::where('status',1)->get();
                      $visas = \App\Models\VisaService::where('status',1)->get();
                    @endphp
    <!-- Top section -->
    <section id="topbar" class="d-flex justify-content-center justify-content-md-between align-items-center">
    <div class="contact-info">
      @if($email != '')
        <div class="contact-info-icons">
            <img src="{{url('frontend/icons/email.png')}}" class="img-fluid"/>
            <span><a href="mailto:{{$email}}" class="text-decoration-none">{{$email}}</a></span></i>
        </div>
      @endif  
      @if($phone != '')
        <div class="contact-info-icons">
            <img src="{{url('frontend/icons/phone.png')}}" class="img-fluid"/>
            <span><a href="tel:{{$phone}}" class="text-decoration-none">{{$phone}}</a></span></i>
        </div>
      @endif
    </div>
    <div class="social-links d-none d-md-flex align-items-center">
        <div class="top-links">
            <a href="/enquiry">Enquiry</a>
            <h2>Find us on</h2>
        </div>
        <div class="top-socials">
          <!-- <a href="#" class="twitter"><i class="bi bi-twitter"></i></a> -->
          @if($facebook != '')
            <a href="{{$facebook}}" target="_blank" class="facebook"><i class="fa-brands fa-facebook"></i></a>
          @endif  
          @if($instagram != '')
            <a href="{{$instagram}}" target="_blank" class="instagram"><i class="fa-brands fa-instagram"></i></a>  
          @endif     
          @if($linkedin != '')             
            <a href="{{$linkedin}}" target="_blank" class="linkdin"><i class="fa-brands fa-linkedin"></i></a>
          @endif  
          <!-- <a href="#" class="linkedin"><i class="bi bi-linkedin"></i></i></a> -->
        </div>
    </div>
    </section>
    <!-- Top section -->
    <!-- Header section -->
    <header class="header">
        <a class="navbar-brand-img" href="/">
            <img src="{{url($logo)}}" class="img-fluid"  alt="">
        </a>
        <ul class="nav nav-inner navbar-list" id="navigation-links">
            <li class="nav-item">
                <a class="nav-link" href="{{url('about')}}">ABOUT US</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="{{url('/study-abroad')}}" id="navbarDropdown" role="button" data-bs-hover="dropdown" aria-expanded="false">
                  EDUCATION
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <li>
                    @foreach($services as $service)
                      <a class="dropdown-item"  href="{{url('education/'.$service->slug)}}">{{$service->name}}</a>
                    @endforeach  
                  </li>
              </ul>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="{{url('#')}}" id="navbarDropdown" role="button" data-bs-hover="dropdown" aria-expanded="false">
                VISA SERVICES
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <li>
                    @foreach($visas as $visa)
                      <a class="dropdown-item"  href="{{url('visa/'.$visa->slug)}}">{{$visa->name}}</a>
                    @endforeach  
                  </li>
              </ul>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{url('/blogs')}}">BLOG</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{url('contact')}}">CONTACT</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{url('/faqs')}}">FAQs</a>
            </li>
            <li>
              <a href="{{url('/appointment')}}" class="appointment-btn">BOOK AN APPOINTMENT</a>
            </li>
        </ul>
        <div class="mobile-navbar-btn">
          <img src="{{url('frontend/icons/menu.png')}}" name="menu-outline" class="mobile-nav-icon" alt="">
          <img src="{{url('frontend/icons/close.png')}}" name="close-outline" class="mobile-nav-icon" alt="">
            {{-- <ion-icon name="menu-outline" class="mobile-nav-icon"></ion-icon> --}}
            {{-- <ion-icon name="close-outline" class="mobile-nav-icon"></ion-icon> --}}
        </div>
    </header>

      @yield('content')


    <section class='footer'>
            <div class='container-fluid'>
              <div class='row footer-top'>
                <div class="col-lg-3 col-md-6 mb-4 mb-md-0 footer-details">
                  <a href='/'>
                    <img src="{{url($white_logo)}}"  alt='footer-Logo' class='footer-logo'/>
                  </a>
                  <h4 class='text-white mb-5 footer-description'>ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.</h4>
                  <div class="footer-contact">
                    @if($phone != '')
                    <div class="contact-information">
                        <div class="contact-img">
                            <img src="{{url('frontend/icons/footer-phone.svg')}}" alt=""/>
                        </div>
                        <a href="tel:{{$phone}}" class="text-decoration-none">
                            <p>{{$phone}}</p>
                        </a>
                    </div>
                    @endif
                    @if($email != '')
                    <div class="contact-information">
                        <div class="contact-img">
                            <img src="{{url('frontend/icons/footer-email.svg')}}" alt=""/>
                        </div>
                        <a href="mailto: admin@eteducation.com.au" class="text-decoration-none">
                            <p>admin@eteducation.com.au</p>
                        </a>
                    </div>
                    @endif
                    @if($address != '')
                    <div class="contact-information">
                        <div class="contact-img">
                            <img src="{{url('frontend/icons/footer-location.svg')}}" alt=""/>
                        </div>
                        <a href="https://goo.gl/maps/C6EZecGvwzf75Zpw5" target="_blank" class="text-decoration-none">
                            <p>Sydney Suite 132 & 133, Level 3, 10
                                Park Road, Hurstville NSW 2220</p>
                        </a>
                    </div>
                    @endif
                  </div>
                </div>
                <div class="col-lg-3 col-md-6 mb-4 footer-links">
                  <h1 class="mb-20 text-white link-title">Education Services</h1>
                  <p class='box'></p>
                    <div class="lists-links">
                        <ul class="list-unstyled">
                            <li>
                              @foreach($services as $service)
                                <a href="{{url('education/'.$service->slug)}}" class=' footer-link'>
                                    {{$service->name}}
                                  </a>
                              @endforeach
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 mb-4 footer-links">
                    <h1 class="mb-20 text-white link-title">Visa Services</h1>
                    <p class='box'></p>
                      <div class="lists-links">
                          <ul class="list-unstyled">
                              <li>
                                @foreach(App\Models\VisaService::where('status',1)->get() as $visa_service)
                                  <a href="{{url('/visa/'.$visa_service->slug)}}" class=' footer-link'>
                                    {{$visa_service->name}}
                                  </a>
                                @endforeach
                              </li>
                          </ul>
                      </div>
                  </div>
                <div class="col-lg-3 col-md-6 mb-4 footer-links">
                  <div class='final-content'>
                    <div class='company-content'>
                      <h1 class="mb-20 text-white link-title">Free Newsletter</h1>
                      <p>Subscribe for our free newsletter</p>
                        <div class="custom-search">
                            <input type="text" name = "email" id = "subscribe_email" class="custom-search-input" placeholder="Email address" onkeyup="subscribeValidation()">
                            <button class="custom-search-botton" onclick="subscribe()" type="submit">Subscribe</button>
                            <button class="buttonload custom-search-botton" id="buttonload" disabled>
                              <i class="fas fa-spinner fa-pulse"></i> Submiting
                            </button>
                        </div>
                        <span class="success-message" id="success-message"></span>
                        <span class="success-message" id="error-message"></span>
                    </div>
                    <div class="col footer-socials">
                      <h1 class='text-white link-title'>Join Our Social Community</h1>
                        <p class='box'></p>
                        <div class="socials-icons">
                              @if($twitter != '')
                                <a href="{{$twitter}}" target="_blank" class="text-white" rel="noreferrer">
                                    <i class="fa-brands fa-twitter fa-xl"></i>
                                </a>
                              @endif
                              @if($facebook != '')
                                <a href="{{$facebook}}" target="_blank" class="text-white" rel="noreferrer">
                                    <i class="fa-brands fa-facebook fa-xl"></i>
                                </a>
                              @endif  
                              @if($instagram != '')
                                <a href="{{$instagram}}" target="_blank" class="text-white" rel="noreferrer">
                                    <i class="fa-brands fa-instagram fa-xl"></i>
                                </a>
                              @endif  
                              @if($linkedin != '')
                                <a href="{{$linkedin}}" target="_blank" class="text-white" rel="noreferrer">
                                    <i class="fa-brands fa-linkedin fa-xl"></i>
                                </a>
                              @endif  
                        </div>
                  </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="bottom-footer text-center p-3" >
              <div class='row footer-text'>
                <p class='col-md-4'>ET Education and Visa Services  © 2023. All Rights Reserved.     </p>
                <p class='col-md-4 policy'><a >Disclaimer</a> | <a >Privacy Policy</a> | <a >Feedback and Complaints</a></p>
                <p class='col-md-4'>Designed & Developed By: <a target="-blank" rel="noreferrer" href="https://www.extratechs.com.au/">Extratech</a></p>
              </div>
            </div>
          </section>
        <!-- Footer section -->
    </body>
    <!-- Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <!-- Bootstrap link -->

    <!-- jquery link -->
    <script src="https://code.jquery.com/jquery-3.6.1.js" integrity="sha256-3zlB5s2uwoUzrXK3BT7AX3FyvojsraNFxCc2vC/7pNI=" crossorigin="anonymous"></script>
    <!-- jquery link -->

    <!-- fontawesome link -->
    <script src="https://kit.fontawesome.com/794cc97646.js" crossorigin="anonymous"></script>

    <!-- ionicons link -->
    <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
    <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>

    <!-- hamburger link -->
    <script type="text/javascript" src="{{url('frontend/js/index.js')}}"></script>

    <!-- slick slider link -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>

    <!-- require the plugin files -->
    <link href="{{url('frontend/plugin/zabuto_calendar.min.css')}}" rel="stylesheet">
    <script src="{{url('frontend/plugin/zabuto_calendar.min.js')}}"></script>

    @yield('script')
    <script>
      $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    var email = document.getElementById('subscribe_email');
    var successMessage = document.getElementById('success-message');
    var errorMessage = document.getElementById('error-message');
    var loaderBtn = document.getElementById('buttonload');

    function subscribeValidation(){
      if(email.value.length == 0){
        errorMessage.innerHTML="Please provide email address!";
        return false;
      }
      else{
        errorMessage.innerHTML="";
        return true;
      }
    }
    function subscribe(){
        if(!subscribeValidation()){
          return false;
        }
        else{
          loaderBtn.classList.add('displayBtn')
          $.ajax({
          url: "/subscribe",
          type:"POST",
          data:{
            email:email.value,
          },
          success:function(response){
            if (response) {
              $('#success-message').fadeOut(5000).text(response.success);
              email.value = '';
              loaderBtn.classList.remove('displayBtn');
            }
            },
            error: function(response) {

            }
          });
        }
      }
    </script>
    
</html>
